pkgconfig: upgraded package to upstream

Upgraded dev-util/pkgconfig to version 0.29.2 on amd64

BUG=b/146263250 b/147168856
TEST=presubmit
RELEASE_NOTE=None

upstream commit id: 6cc8896986ad7c5e50762f43f1c902c51d7bdbcf

Change-Id: I88e9981c68636962c88b38f8276aa491abe5f3ea
diff --git a/dev-util/pkgconfig/Manifest b/dev-util/pkgconfig/Manifest
index ad5531b..cd45508 100644
--- a/dev-util/pkgconfig/Manifest
+++ b/dev-util/pkgconfig/Manifest
@@ -1 +1 @@
-DIST pkg-config-0.28.tar.gz 1931203 SHA256 6b6eb31c6ec4421174578652c7e141fdaae2dabad1021f420d8713206ac1f845 SHA512 6eafa5ca77c5d44cd15f48457a5e96fcea2555b66d8e35ada5ab59864a0aa03d441e15f54ab9c6343693867b3b490f392c75b7d9312f024c9b7ec6a0194d8320 WHIRLPOOL db4ddb4ce61724e629931c5ffccb4d7a551b4dc0f4efed5a966822307e4b5a786adee5705dd80ec0a9aa32cb1af9ad9615e307360e131fc34688207216161486
+DIST pkg-config-0.29.2.tar.gz 2016830 BLAKE2B e8f0420033524ad768cac3c82138546e4cd76c47f5835b7b98662ab01eaf3feef08f495a69c04980d51b57935567ab1d465ef4e1d0529735ad0031c828585324 SHA512 4861ec6428fead416f5cbbbb0bbad10b9152967e481d4b0ff2eb396a9f297f552984c9bb72f6864a37dcd8fca1d9ccceda3ef18d8f121938dbe4fdf2b870fe75
diff --git a/dev-util/pkgconfig/files/pkgconfig-0.28-lfs.patch b/dev-util/pkgconfig/files/pkgconfig-0.28-lfs.patch
new file mode 100644
index 0000000..9515f4f
--- /dev/null
+++ b/dev-util/pkgconfig/files/pkgconfig-0.28-lfs.patch
@@ -0,0 +1,281 @@
+From 217ffa021257fc2313c9eeb3e94e2ee38d255634 Mon Sep 17 00:00:00 2001
+From: Peter Jones <pjones@redhat.com>
+Date: Wed, 15 Apr 2015 12:25:29 -0400
+Subject: [PATCH] Enable large file support
+
+https://bugs.freedesktop.org/show_bug.cgi?id=90078
+
+Signed-off-by: Peter Jones <pjones@redhat.com>
+
+[Alexandre Rostovtsev <tetromino@gentoo.org>: expand out configure,
+ config.h.in modifications.]
+---
+ configure.ac |   3 +
+ config.h.in  |  11 ++++
+ configure    | 203 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+ 3 files changed, 217 insertions(+)
+
+diff --git a/configure.ac b/configure.ac
+index 2b33371..1a321e1 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -17,6 +17,9 @@ dnl by either passing --disable-silent-rules to configure or passing V=1
+ dnl to make
+ m4_ifdef([AM_SILENT_RULES], [AM_SILENT_RULES([yes])])
+ 
++dnl Enable large file support
++AC_SYS_LARGEFILE
++
+ dnl Check for programs
+ AC_PROG_CC
+ AC_CHECK_PROG([LN], [ln], [ln], [cp -Rp])
+diff --git a/config.h.in b/config.h.in
+index 0aac8f3..fdae454 100644
+--- a/config.h.in
++++ b/config.h.in
+@@ -72,3 +72,14 @@
+ 
+ /* Version number of package */
+ #undef VERSION
++
++/* Enable large inode numbers on Mac OS X 10.5.  */
++#ifndef _DARWIN_USE_64_BIT_INODE
++# define _DARWIN_USE_64_BIT_INODE 1
++#endif
++
++/* Number of bits in a file offset, on hosts where this is settable. */
++#undef _FILE_OFFSET_BITS
++
++/* Define for large files, on AIX-style hosts. */
++#undef _LARGE_FILES
+diff --git a/configure b/configure
+index 160ecab..f897e22 100755
+--- a/configure
++++ b/configure
+@@ -783,6 +783,7 @@ with_gnu_ld
+ with_sysroot
+ enable_libtool_lock
+ enable_silent_rules
++enable_largefile
+ with_pc_path
+ with_system_include_path
+ with_system_library_path
+@@ -1435,6 +1436,7 @@ Optional Features:
+   --disable-libtool-lock  avoid locking (might break parallel builds)
+   --enable-silent-rules   less verbose build output (undo: "make V=1")
+   --disable-silent-rules  verbose build output (undo: "make V=0")
++  --disable-largefile     omit support for large files
+   --enable-indirect-deps  list both direct and indirect dependencies.
+        --disable-indirect-deps only list direct dependencies.
+     default=auto
+@@ -11389,6 +11391,207 @@ fi
+ AM_BACKSLASH='\'
+ 
+ 
++# Check whether --enable-largefile was given.
++if test "${enable_largefile+set}" = set; then :
++  enableval=$enable_largefile;
++fi
++
++if test "$enable_largefile" != no; then
++
++  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for special C compiler options needed for large files" >&5
++$as_echo_n "checking for special C compiler options needed for large files... " >&6; }
++if ${ac_cv_sys_largefile_CC+:} false; then :
++  $as_echo_n "(cached) " >&6
++else
++  ac_cv_sys_largefile_CC=no
++     if test "$GCC" != yes; then
++       ac_save_CC=$CC
++       while :; do
++	 # IRIX 6.2 and later do not support large files by default,
++	 # so use the C compiler's -n32 option if that helps.
++	 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
++/* end confdefs.h.  */
++#include <sys/types.h>
++ /* Check that off_t can represent 2**63 - 1 correctly.
++    We can't simply define LARGE_OFF_T to be 9223372036854775807,
++    since some C++ compilers masquerading as C compilers
++    incorrectly reject 9223372036854775807.  */
++#define LARGE_OFF_T (((off_t) 1 << 62) - 1 + ((off_t) 1 << 62))
++  int off_t_is_large[(LARGE_OFF_T % 2147483629 == 721
++		       && LARGE_OFF_T % 2147483647 == 1)
++		      ? 1 : -1];
++int
++main ()
++{
++
++  ;
++  return 0;
++}
++_ACEOF
++	 if ac_fn_c_try_compile "$LINENO"; then :
++  break
++fi
++rm -f core conftest.err conftest.$ac_objext
++	 CC="$CC -n32"
++	 if ac_fn_c_try_compile "$LINENO"; then :
++  ac_cv_sys_largefile_CC=' -n32'; break
++fi
++rm -f core conftest.err conftest.$ac_objext
++	 break
++       done
++       CC=$ac_save_CC
++       rm -f conftest.$ac_ext
++    fi
++fi
++{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sys_largefile_CC" >&5
++$as_echo "$ac_cv_sys_largefile_CC" >&6; }
++  if test "$ac_cv_sys_largefile_CC" != no; then
++    CC=$CC$ac_cv_sys_largefile_CC
++  fi
++
++  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for _FILE_OFFSET_BITS value needed for large files" >&5
++$as_echo_n "checking for _FILE_OFFSET_BITS value needed for large files... " >&6; }
++if ${ac_cv_sys_file_offset_bits+:} false; then :
++  $as_echo_n "(cached) " >&6
++else
++  while :; do
++  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
++/* end confdefs.h.  */
++#include <sys/types.h>
++ /* Check that off_t can represent 2**63 - 1 correctly.
++    We can't simply define LARGE_OFF_T to be 9223372036854775807,
++    since some C++ compilers masquerading as C compilers
++    incorrectly reject 9223372036854775807.  */
++#define LARGE_OFF_T (((off_t) 1 << 62) - 1 + ((off_t) 1 << 62))
++  int off_t_is_large[(LARGE_OFF_T % 2147483629 == 721
++		       && LARGE_OFF_T % 2147483647 == 1)
++		      ? 1 : -1];
++int
++main ()
++{
++
++  ;
++  return 0;
++}
++_ACEOF
++if ac_fn_c_try_compile "$LINENO"; then :
++  ac_cv_sys_file_offset_bits=no; break
++fi
++rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
++  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
++/* end confdefs.h.  */
++#define _FILE_OFFSET_BITS 64
++#include <sys/types.h>
++ /* Check that off_t can represent 2**63 - 1 correctly.
++    We can't simply define LARGE_OFF_T to be 9223372036854775807,
++    since some C++ compilers masquerading as C compilers
++    incorrectly reject 9223372036854775807.  */
++#define LARGE_OFF_T (((off_t) 1 << 62) - 1 + ((off_t) 1 << 62))
++  int off_t_is_large[(LARGE_OFF_T % 2147483629 == 721
++		       && LARGE_OFF_T % 2147483647 == 1)
++		      ? 1 : -1];
++int
++main ()
++{
++
++  ;
++  return 0;
++}
++_ACEOF
++if ac_fn_c_try_compile "$LINENO"; then :
++  ac_cv_sys_file_offset_bits=64; break
++fi
++rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
++  ac_cv_sys_file_offset_bits=unknown
++  break
++done
++fi
++{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sys_file_offset_bits" >&5
++$as_echo "$ac_cv_sys_file_offset_bits" >&6; }
++case $ac_cv_sys_file_offset_bits in #(
++  no | unknown) ;;
++  *)
++cat >>confdefs.h <<_ACEOF
++#define _FILE_OFFSET_BITS $ac_cv_sys_file_offset_bits
++_ACEOF
++;;
++esac
++rm -rf conftest*
++  if test $ac_cv_sys_file_offset_bits = unknown; then
++    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for _LARGE_FILES value needed for large files" >&5
++$as_echo_n "checking for _LARGE_FILES value needed for large files... " >&6; }
++if ${ac_cv_sys_large_files+:} false; then :
++  $as_echo_n "(cached) " >&6
++else
++  while :; do
++  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
++/* end confdefs.h.  */
++#include <sys/types.h>
++ /* Check that off_t can represent 2**63 - 1 correctly.
++    We can't simply define LARGE_OFF_T to be 9223372036854775807,
++    since some C++ compilers masquerading as C compilers
++    incorrectly reject 9223372036854775807.  */
++#define LARGE_OFF_T (((off_t) 1 << 62) - 1 + ((off_t) 1 << 62))
++  int off_t_is_large[(LARGE_OFF_T % 2147483629 == 721
++		       && LARGE_OFF_T % 2147483647 == 1)
++		      ? 1 : -1];
++int
++main ()
++{
++
++  ;
++  return 0;
++}
++_ACEOF
++if ac_fn_c_try_compile "$LINENO"; then :
++  ac_cv_sys_large_files=no; break
++fi
++rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
++  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
++/* end confdefs.h.  */
++#define _LARGE_FILES 1
++#include <sys/types.h>
++ /* Check that off_t can represent 2**63 - 1 correctly.
++    We can't simply define LARGE_OFF_T to be 9223372036854775807,
++    since some C++ compilers masquerading as C compilers
++    incorrectly reject 9223372036854775807.  */
++#define LARGE_OFF_T (((off_t) 1 << 62) - 1 + ((off_t) 1 << 62))
++  int off_t_is_large[(LARGE_OFF_T % 2147483629 == 721
++		       && LARGE_OFF_T % 2147483647 == 1)
++		      ? 1 : -1];
++int
++main ()
++{
++
++  ;
++  return 0;
++}
++_ACEOF
++if ac_fn_c_try_compile "$LINENO"; then :
++  ac_cv_sys_large_files=1; break
++fi
++rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
++  ac_cv_sys_large_files=unknown
++  break
++done
++fi
++{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sys_large_files" >&5
++$as_echo "$ac_cv_sys_large_files" >&6; }
++case $ac_cv_sys_large_files in #(
++  no | unknown) ;;
++  *)
++cat >>confdefs.h <<_ACEOF
++#define _LARGE_FILES $ac_cv_sys_large_files
++_ACEOF
++;;
++esac
++rm -rf conftest*
++  fi
++
++
++fi
++
++
+ ac_ext=c
+ ac_cpp='$CPP $CPPFLAGS'
+ ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+-- 
+2.4.2
+
diff --git a/dev-util/pkgconfig/metadata.xml b/dev-util/pkgconfig/metadata.xml
index 572c23e..feea3b5 100644
--- a/dev-util/pkgconfig/metadata.xml
+++ b/dev-util/pkgconfig/metadata.xml
@@ -1,11 +1,10 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-	<herd>freedesktop</herd>
-	<maintainer>
+	<maintainer type="project">
 		<email>freedesktop-bugs@gentoo.org</email>
 	</maintainer>
 	<use>
-		<flag name='internal-glib'>Use internal copy of <pkg>dev-libs/glib</pkg></flag>
+		<flag name="internal-glib">Use internal copy of <pkg>dev-libs/glib</pkg></flag>
 	</use>
 </pkgmetadata>
diff --git a/dev-util/pkgconfig/pkgconfig-0.28-r2.ebuild b/dev-util/pkgconfig/pkgconfig-0.29.2.ebuild
similarity index 63%
rename from dev-util/pkgconfig/pkgconfig-0.28-r2.ebuild
rename to dev-util/pkgconfig/pkgconfig-0.29.2.ebuild
index ff1eff8..5be77d1 100644
--- a/dev-util/pkgconfig/pkgconfig-0.28-r2.ebuild
+++ b/dev-util/pkgconfig/pkgconfig-0.29.2.ebuild
@@ -1,23 +1,27 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-util/pkgconfig/pkgconfig-0.28-r2.ebuild,v 1.1 2014/07/29 07:58:43 ssuominen Exp $
 
-EAPI=5
+EAPI=6
 
+# Do not inherit autotools in non-live ebuild - causes circular dependency, bug #550856
 inherit eutils flag-o-matic libtool multilib multilib-minimal
 
 MY_P=pkg-config-${PV}
 
 if [[ ${PV} == *9999* ]]; then
-	EGIT_REPO_URI="git://anongit.freedesktop.org/pkg-config"
-	inherit autotools git-2
+	# 1.12 is only needed for tests due to some am__check_pre / LOG_DRIVER
+	# weirdness with "/bin/bash /bin/sh" in arguments chain with >=1.13
+	WANT_AUTOMAKE=1.12
+	EGIT_REPO_URI="https://anongit.freedesktop.org/git/pkg-config.git"
+	EGIT_CHECKOUT_DIR=${WORKDIR}/${MY_P}
+	inherit autotools git-r3
 else
 	KEYWORDS="*"
-	SRC_URI="http://pkgconfig.freedesktop.org/releases/${MY_P}.tar.gz"
+	SRC_URI="https://pkgconfig.freedesktop.org/releases/${MY_P}.tar.gz"
 fi
 
 DESCRIPTION="Package config system that manages compile/link flags"
-HOMEPAGE="http://pkgconfig.freedesktop.org/wiki/"
+HOMEPAGE="https://pkgconfig.freedesktop.org/wiki/"
 
 LICENSE="GPL-2"
 SLOT="0"
@@ -26,7 +30,8 @@
 RDEPEND="!internal-glib? ( >=dev-libs/glib-2.34.3[${MULTILIB_USEDEP}] )
 	!dev-util/pkgconf[pkg-config]
 	!dev-util/pkg-config-lite
-	!dev-util/pkgconfig-openbsd[pkg-config]"
+	!dev-util/pkgconfig-openbsd[pkg-config]
+	virtual/libintl"
 DEPEND="${RDEPEND}"
 
 S=${WORKDIR}/${MY_P}
@@ -34,17 +39,23 @@
 DOCS=( AUTHORS NEWS README )
 
 src_prepare() {
-	epatch "${FILESDIR}"/${P}-strip_system_library_dirs_reliably.patch
-
 	sed -i -e "s|^prefix=/usr\$|prefix=${EPREFIX}/usr|" check/simple.pc || die #434320
 
-	epatch_user
+	eapply_user
 
 	if [[ ${PV} == *9999* ]]; then
 		eautoreconf
 	else
 		elibtoolize # Required for FreeMiNT wrt #333429
 	fi
+
+	if [[ ${CHOST} == *-solaris* ]] ; then
+		# fix standards conflicts
+		sed -i -e 's/\(_XOPEN_SOURCE\(_EXTENDED\)\?\|__EXTENSIONS__\)/  \1_DISABLED/' \
+			glib/configure || die
+		sed -i -e '/#define\s\+_POSIX_SOURCE/d' \
+			glib/glib/giounix.c || die
+	fi
 }
 
 multilib_src_configure() {
@@ -60,9 +71,19 @@
 			# add the libdir for libtool, otherwise it'll make love with system
 			# installed libiconv
 			append-ldflags "-L${EPREFIX}/usr/$(get_libdir)"
+			# the glib objects reference symbols from these frameworks,
+			# not good, esp. since Carbon should be deprecated
+			[[ ${CHOST} == *-darwin* ]] && \
+				append-ldflags -framework CoreFoundation -framework Carbon
+			if [[ ${CHOST} == *-solaris* ]] ; then
+				# required due to __EXTENSIONS__
+				append-cppflags -DENABLE_NLS
+				# similar to Darwin
+				append-ldflags -lintl
+			fi
 		fi
 	else
-		if ! has_version dev-util/pkgconfig; then
+		if ! has_version --host-root dev-util/pkgconfig; then
 			export GLIB_CFLAGS="-I${EPREFIX}/usr/include/glib-2.0 -I${EPREFIX}/usr/$(get_libdir)/glib-2.0/include"
 			export GLIB_LIBS="-lglib-2.0"
 		fi
diff --git a/metadata/md5-cache/dev-util/pkgconfig-0.28-r2 b/metadata/md5-cache/dev-util/pkgconfig-0.29.2
similarity index 83%
rename from metadata/md5-cache/dev-util/pkgconfig-0.28-r2
rename to metadata/md5-cache/dev-util/pkgconfig-0.29.2
index ef95197..85e0f53 100644
--- a/metadata/md5-cache/dev-util/pkgconfig-0.28-r2
+++ b/metadata/md5-cache/dev-util/pkgconfig-0.29.2
@@ -1,13 +1,13 @@
 DEFINED_PHASES=compile configure install prepare test
-DEPEND=!internal-glib? ( >=dev-libs/glib-2.34.3[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?,abi_arm_32(-)?,abi_arm_64(-)?] ) !dev-util/pkgconf[pkg-config] !dev-util/pkg-config-lite !dev-util/pkgconfig-openbsd[pkg-config] >=app-portage/elt-patches-20170815
+DEPEND=!internal-glib? ( >=dev-libs/glib-2.34.3[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?,abi_arm_32(-)?,abi_arm_64(-)?] ) !dev-util/pkgconf[pkg-config] !dev-util/pkg-config-lite !dev-util/pkgconfig-openbsd[pkg-config] virtual/libintl >=app-portage/elt-patches-20170815
 DESCRIPTION=Package config system that manages compile/link flags
-EAPI=5
-HOMEPAGE=http://pkgconfig.freedesktop.org/wiki/
+EAPI=6
+HOMEPAGE=https://pkgconfig.freedesktop.org/wiki/
 IUSE=elibc_FreeBSD elibc_glibc hardened internal-glib abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32 abi_ppc_32 abi_ppc_64 abi_s390_32 abi_s390_64 abi_arm_32 abi_arm_64
 KEYWORDS=*
 LICENSE=GPL-2
-RDEPEND=!internal-glib? ( >=dev-libs/glib-2.34.3[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?,abi_arm_32(-)?,abi_arm_64(-)?] ) !dev-util/pkgconf[pkg-config] !dev-util/pkg-config-lite !dev-util/pkgconfig-openbsd[pkg-config]
+RDEPEND=!internal-glib? ( >=dev-libs/glib-2.34.3[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?,abi_arm_32(-)?,abi_arm_64(-)?] ) !dev-util/pkgconf[pkg-config] !dev-util/pkg-config-lite !dev-util/pkgconfig-openbsd[pkg-config] virtual/libintl
 SLOT=0
-SRC_URI=http://pkgconfig.freedesktop.org/releases/pkg-config-0.28.tar.gz
+SRC_URI=https://pkgconfig.freedesktop.org/releases/pkg-config-0.29.2.tar.gz
 _eclasses_=eutils	06133990e861be0fe60c2b428fd025d9	flag-o-matic	5d5921a298e95441da2f85be419894c0	libtool	f143db5a74ccd9ca28c1234deffede96	multibuild	40fe59465edacd730c644ec2bc197809	multilib	2477ebe553d3e4d2c606191fe6c33602	multilib-build	1979aa0ff4d356d32507ca4650d9f37d	multilib-minimal	8bddda43703ba94d8341f4e247f97566	toolchain-funcs	605c126bed8d87e4378d5ff1645330cb
-_md5_=2c5588dc48b902dcc5b5627eeef52fcb
+_md5_=828170c51309d02e65a85fffadfacaca